proc init_education_vars {} {
    add_vars {
	.education
	deglist

	deglist
    }
}

proc create_education_window {} {
    global db

    set w [create_close_window .education "Education" education]
 
    set cf [frame $w.f]
    create_controlled_list $cf $w deglist degree deg {$dbentry Degree}
    pack $cf -expand t -fill both
}

proc create_degree_window num {
    global db

    set w .degree${num}
    create_change_window $w "$db($w.deg) Degree" education

    set cf [frame $w.f]
    create_form $cf $w {
	{  Institution:  resm_entry inst}
	{     Location:  resm_entry loc}
	{       Degree:  resm_entry deg}
	{        Field:  resm_entry fld}
	{       Status:  deg_award  stat}
	{         Date:  resm_entry date}
	{      Advisor:  resm_entry adv}
	{"Thesis Title:" resm_entry tit}
	{  Description:  resm_text  desc}
	{          GPA:  resm_entry gpa}
	{         Rank:  resm_entry rank}
    }
    pack $cf -side top -expand t -fill both -padx 5 -pady 5
    
    motion_link $w.date $w.fld $w.deg
    motion_link $w.inst $w.rank $w.gpa
    text_tabs $w.desc $w.tit $w.gpa
    save_on_return $w.rank

    trace variable db($w.deg) w "save_degree_name $num "
}

proc deg_award path {
    set f [frame ${path}]
    resm_radio $f.a 7 "awarded" db($f.a_tmp)
    resm_radio $f.b 8 "expected" db($f.a_tmp)
    pack $f.a -side left -padx 15
    pack $f.b -side right -padx 15
    return $f
}

proc create_degree i {
    add_vars "
	.degree${i}
	inst

        inst
        loc
        {deg Untitled}
        fld
        {stat.a awarded}
        date
        adv
        tit
        desc
        gpa
        rank
    "
    create_degree_window $i
}
