proc init_experience_vars {} {
    add_vars {
	.experience
	joblist

	{exp_0 "Professional Experience"}
	joblist
    }
}

proc create_experience_window {} {
    global db

    set w [create_close_window .experience "Professional Experience" \
	   experience]

    set cf [frame $w.rf]
    create_radio_group $cf $w.exp {
	"Professional Experience"
	"Previous Experience"
	"Work Experience"
	"Experience"
	"Professional Employment"
	"Employment"
    }
    pack $cf -side left -padx 5 -pady 5

    set cf [frame $w.lf]
    create_controlled_list $cf $w joblist job job {$dbentry}
    pack $cf -expand t -fill both

    trace variable db(.experience.exp_0_tmp) w save_experience_info
}

proc save_experience_info {v1 v2 op} {
    save_no_close .experience
}

proc create_job_window num {
    global db

    set w .job${num}
    create_change_window $w "$db($w.job)" experience

    set cf [frame $w.f]
    create_form $cf $w {
	{  Institution:  resm_entry inst}
	{     Location:  resm_entry loc}
	{         Date:  resm_entry date}
	{     Position:  resm_entry job}
	{  Description:  resm_text  desc}
    }
    pack $cf -side top -expand t -fill both -padx 5 -pady 5
    
    motion_link $w.inst $w.desc $w.job
    text_tabs $w.desc $w.job $w.inst

    trace variable db($w.job) w "save_job_name $num "
}

proc create_job i {
    add_vars "
	.job${i}
	inst

	inst
	loc
	date
	{job Untitled}
	desc
    "
    create_job_window $i
}
