proc init_objective_vars {} {
    add_vars {
	.objective
	obj_text

	{obj_0 "Objective"}
	obj_text
	{res_int_0 "Research Interests"}
	res_int_text
	{tch_int_0 "Teaching Interests"}
	tch_int_text
    }
}

proc create_objective_window {} {
    global db

    set w [create_change_window .objective "Objective and Interests" objective]

    # Make three exterior frames and three interior frames use
    # variables cxf and cif to iterate over them, respectively.
    make_frames cxf $w.fx 3
    make_frames cif $w.fi 3

    foreach type {obj res_int tch_int} form {
	{"Objective"
	 "Statement of Objective"
	 "Career Objective"}
	{"Research Interests"
	 "Interests"
	 "Areas of Interest"}
	{"Teaching Interests"
	 "Interests" 
	 "Academic Interests"}
    } {
	create_radio_group $cif $w.$type $form 23
	pack $cif -in $cxf -side left
	resm_text $w.${type}_text
	pack $w.${type}_text -in $cxf -side right -expand t -fill both -padx 5
	pack $cxf -side top -expand t -fill both -padx 5 -pady 5
	use_next_frame cif
	use_next_frame cxf
    }
}
