proc parse_options_main {argc argv} {
    global path ctrl

    set ctrl(use_gui) 1
    # might be set in vitae_init
    if {![info exists ctrl(target)]} {
	set ctrl(target) pdf
    }
    set path(vitae_header) $path(main)/vitae_header

    for {set i 0} {$i < $argc} {incr i} {
	switch -exact -- [set a [lindex $argv $i]] {
	    -g {
		set ctrl(use_gui) 0
	    }
	    -o {
		if {[incr i] >= $argc} {error ""}
		set path(out) [lindex $argv $i]
		switch -exact [file extension $path(out)] {
		    .dvi {set ctrl(target) dvi}
		    .ps {set ctrl(target) ps}
		    .tex {set ctrl(target) tex}
		}
	    }
	    -s {
		if {[incr i] >= $argc} {error ""}
		set path(vitae_header) [lindex $argv $i]
		if {[file pathtype $path(vitae_header)] == "relative"} {
		    set path(vitae_header) $path(start)/$path(vitae_header)
		}
	    }
	    default {
		if {[string index $a 0] == "-"} {
		    error "unknown option \"$a\""
		}
		if {[info exists path(db)]} {
		    error "multiple vitae files specified"
		}
		set path(db) $a
	    }
	}
    }
}

proc parse_options {argc argv} {
    if {[catch {parse_options_main $argc $argv} msg]} {
	if {$msg != ""} {puts $msg}
	puts {vitae [<options>] [<vitae-file>]}
	puts "options include:"
	puts "  -g          no GUI, simply generate vitae"
	puts "  -o <file>   specify output file"
	puts "  -s <file>   specify LaTex resume header file"
	exit
    }
}