proc init_publications_vars {} {
    add_vars {
	.publications
	pubtypelist

	pubtypelist
    }
}

proc create_publications_window {} {
    global db

    set w [create_close_window .publications "Publications" publications]

    set cf [frame $w.f]
    create_controlled_list $cf $w pubtypelist publication_type type \
	    {Publications: $dbentry}
    pack $cf -expand t -fill both

    # need to override delete_publication_type defined by
    # create_controlled_list code to delete publications of the
    # type being deleted...
    proc delete_publication_type {} {
	global db var_list win_start

	set l .publications.pubtypelist
	if {[set pos [$l curselection]] == ""} {
	    return
	}
	set i [lindex $db($l) $pos]
	# delete all publications of this type
	set pl .publication_type${i}.publist
	while {$db($pl) != ""} {
	    $pl selection clear 0 end
	    $pl selection set 0
	    delete_publication${i}_
	}
	set db($l) [lreplace $db($l) $pos $pos]
	set vln [lsearch $var_list(types) .publication_type${i}]
	set var_list(types) [lreplace $var_list(types) $vln $vln]
	destroy .publication_type${i}
	remove_traces db(.publication_type${i}.type)
	$l delete $pos
	save_database
    }
}

proc create_publication_type_window num {
    global db
    
    set w .publication_type${num}
    create_close_window $w "Publications: $db($w.type)" publications

    set cf [frame $w.tf]
    create_form $cf $w {{Type: resm_entry type}}
    pack $cf -side top -fill x -padx 5 -pady 5
    bind $w.type <Return> "
        global db
        set db($w.type) \[$w.type get\]
        save_no_close $w
    "

    set cf [frame $w.lf]
    create_controlled_list $cf $w publist publication${num}_ name {$dbentry}
    pack $cf -expand t -fill both

    trace variable db($w.type) w "save_publication_type_name $num "

    proc create_publication${num}_window idx "
	global db

	set w .publication${num}_\${idx}
	create_change_window \$w \$db(\$w.name) publications

	set cf \[frame \$w.f\]
	create_form \$cf \$w {
	    {   Identifier:  resm_entry name}
	    {  Description:  resm_text  desc}
	}
	pack \$cf -side top -expand t -fill both -padx 5 -pady 5
	
	trace variable db(\$w.name) w \"save_publication${num}__name \$idx \"
    "

    proc create_publication${num}_ idx "
	add_vars \"
	    .publication${num}_\${idx}
	    name
	   
	    {name Unnamed}
	    desc
	\"
	create_publication${num}_window \$idx
    "

}

proc create_publication_type i {
    add_vars "
	.publication_type${i}
	type

	{type Publications}
	publist
    "
    create_publication_type_window $i
}
