proc init_references_vars {} {
    add_vars {
	.references
	reflist

	reflist
    }
}

proc create_references_window {} {
    global db

    set w [create_close_window .references "References" references]
   
    set cf [frame $w.f]
    create_controlled_list $cf $w reflist reference name {Reference: $dbentry}
    pack $cf -expand t -fill both
}

proc create_reference_window num {
    global db

    set w .reference${num}
    create_change_window $w "Reference: $db($w.name)" references

    set cf [frame $w.f]
    create_form $cf $w {
	{         Name:  resm_entry name}
	{     Position:  resm_entry posn}
	{  Institution:  resm_entry inst}
	{      Address:  resm_entry addr1}
	{            ""  resm_entry addr2}
	{            ""  resm_entry addr3}
	{            ""  resm_entry addr4}
	{        Phone:  resm_entry phone}
	{       E-mail:  resm_entry email}
    }
    pack $cf -side top -expand t -fill x -padx 5 -pady 5
    
    motion_link $w.name $w.email $w.phone
    save_on_return $w.email

    wm resizable $w 1 0

    trace variable db($w.name) w "save_reference_name $num "
}

proc create_reference i {
    add_vars "
	.reference${i}
	name

	{name Unnamed}
	posn
	inst
	addr1
	addr2
	addr3
	addr4
	phone
	email
    "
    create_reference_window $i
}
