proc init_teachex_vars {} {
    add_vars {
	.teachex
	texlist

	{exp_0 "Teaching Experience"}
	texlist
    }
}

proc create_teachex_window {} {
    global db

    set w [create_close_window .teachex "Teaching Experience" teachex]

    set cf [frame $w.rf]
    create_radio_group $cf $w.exp {
	"Teaching Experience"
	"Teaching Work"
	"Teaching"
	"Teaching Employment"
	"Academic Employment"
	"Previous Teaching"
    }
    pack $cf -side left -padx 5 -pady 5

    set cf [frame $w.lf]
    create_controlled_list $cf $w texlist tex job {$dbentry}
    pack $cf -expand t -fill both

    trace variable db(.teachex.exp_0_tmp) w save_teachex_info
}

proc save_teachex_info {v1 v2 op} {
    save_no_close .teachex
}

proc create_tex_window num {
    global db

    set w .tex${num}
    create_change_window $w "$db($w.job)" teachex

    set cf [frame $w.f]
    create_form $cf $w {
	{  Institution:  resm_entry inst}
	{     Location:  resm_entry loc}
	{         Date:  resm_entry date}
	{     Position:  resm_entry job}
	{  Description:  resm_text  desc}
    }
    pack $cf -side top -expand t -fill both -padx 5 -pady 5
    
    motion_link $w.inst $w.desc $w.job
    text_tabs $w.desc $w.job $w.inst

    trace variable db($w.job) w "save_tex_name $num "
}

proc create_tex i {
    add_vars "
	.tex${i}
	inst

	inst
	loc
	date
	{job Untitled}
	desc
    "
    create_tex_window $i
}
